summaryrefslogtreecommitdiff
path: root/dev-python/python-swiftclient
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/python-swiftclient')
-rw-r--r--dev-python/python-swiftclient/Manifest1
-rw-r--r--dev-python/python-swiftclient/metadata.xml20
-rw-r--r--dev-python/python-swiftclient/python-swiftclient-4.10.0.ebuild42
3 files changed, 63 insertions, 0 deletions
diff --git a/dev-python/python-swiftclient/Manifest b/dev-python/python-swiftclient/Manifest
new file mode 100644
index 000000000000..26eee843f071
--- /dev/null
+++ b/dev-python/python-swiftclient/Manifest
@@ -0,0 +1 @@
+DIST python_swiftclient-4.10.0.tar.gz 210948 BLAKE2B 1548c3087b3e84e511c227f9d4ebdd940710a4a68e83ddc0c5cac49787361d8ea1d6647b75a0b7ae87d7549d6e9a568dbf4bf75ca0f845046f71b7d673290e5f SHA512 ee2918a255eb0d77b1744c1fc1a6abc44082f551c73516b3c09382b518d7367b5850ba97385b71a1dbb76c4c62d86a2b1cd9032de6a43c4288f5a3feacad4379
diff --git a/dev-python/python-swiftclient/metadata.xml b/dev-python/python-swiftclient/metadata.xml
new file mode 100644
index 000000000000..389db41aa1cc
--- /dev/null
+++ b/dev-python/python-swiftclient/metadata.xml
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>prometheanfire@gentoo.org</email>
+ </maintainer>
+ <maintainer type="project">
+ <email>openstack@gentoo.org</email>
+ <name>Openstack</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <stabilize-allarches />
+ <upstream>
+ <remote-id type="launchpad">python-swiftclient</remote-id>
+ </upstream>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-python/python-swiftclient/python-swiftclient-4.10.0.ebuild b/dev-python/python-swiftclient/python-swiftclient-4.10.0.ebuild
new file mode 100644
index 000000000000..81959e1ed105
--- /dev/null
+++ b/dev-python/python-swiftclient/python-swiftclient-4.10.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python bindings to the OpenStack Object Storage API"
+HOMEPAGE="
+ https://opendev.org/openstack/python-swiftclient/
+ https://github.com/openstack/python-swiftclient/
+ https://pypi.org/project/python-swiftclient/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="amd64 arm64 x86"
+
+RDEPEND="
+ >=dev-python/requests-2.4.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/pbr[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/keystoneauth1-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/openstacksdk-0.11.0[${PYTHON_USEDEP}]
+ >=dev-python/python-keystoneclient-0.7.0[${PYTHON_USEDEP}]
+ >=dev-python/python-openstackclient-3.12.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+
+ sed -e 's/test_password_prompt/_&/' -i test/unit/test_shell.py || die
+ rm -r test/functional || die
+}